ByteArrayOutputStream
Date: 2016-06-24

java.io

## Class ByteArrayOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream

-     public class ByteArrayOutputStream
      extends OutputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `buf`
    `protected int` | `count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayOutputStream()`
    `ByteArrayOutputStream(int var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reset()`
    `int` | `size()`
    `byte[]` | `toByteArray()`
    `String` | `toString(String var0)`
    `void` | `write(byte[] var0, int var1, int var2)`
    `void` | `write(int var0)`
    `void` | `writeTo(OutputStream var0)`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### buf

          protected byte[] buf

    - #### count

          protected int count

  - ### Constructor Detail

    - #### ByteArrayOutputStream

          public ByteArrayOutputStream()

    - #### ByteArrayOutputStream

          public ByteArrayOutputStream(int var0)

  - ### Method Detail

    - #### reset

          public void reset()

    - #### size

          public int size()

    - #### toByteArray

          public byte[] toByteArray()

    - #### toString

          public String toString(String var0)
                          throws UnsupportedEncodingException

      Throws:
        `UnsupportedEncodingException`

    - #### write

          public void write(int var0)

      Specified by:
        `write` in class `OutputStream`

    - #### write

          public void write(byte[] var0,
                   int var1,
                   int var2)

      Overrides:
        `write` in class `OutputStream`

    - #### writeTo

          public void writeTo(OutputStream var0)
                       throws IOException

      Throws:
        `IOException`